## kdeplasma-addons 6.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kdeplasma-addons)
set(PROJECT_VERSION "6.3.5")
set(PROJECT_VERSION_MAJOR 6)

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(PROJECT_DEP_VERSION "6.3.5")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Network
    Quick
    Qml
    Widgets
    Test
    Core5Compat
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    Declarative
    GlobalAccel
    Holidays
    I18n
    Auth
    KIO
    KCMUtils
    Notifications
    Runner
    Service
    Sonnet
    UnitConversion
    XmlGui
    NewStuff
    JobWidgets
)

find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6Purpose CONFIG QUIET)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

find_package(KirigamiAddons CONFIG)
set_package_properties(KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User List widget"
    TYPE RUNTIME
)

find_package(KItemModels CONFIG)
set_package_properties(KItemModels PROPERTIES
    DESCRIPTION "Set of item models extending the Qt model-view framework"
    PURPOSE "Required at runtime for the Dictionary, Kate Profiles, and Konsole Profiles applets"
    TYPE RUNTIME
)

find_package(ICU 66.1 COMPONENTS uc i18n)
set_package_properties(ICU
        PROPERTIES DESCRIPTION "Unicode and Globalization support for software applications"
        TYPE OPTIONAL
        PURPOSE "Provides alternate calendar systems that are not available in QCalendar"
        )
if(ICU_FOUND)
    set(HAVE_ICU TRUE)
endif()

find_package(Qt6Quick3D CONFIG)
set_package_properties(Qt6Quick3D PROPERTIES
    DESCRIPTION "A high-level API for creating 3D content and 3D user interfaces based on Qt Quick"
    PURPOSE "Required for desktop cube"
    TYPE RUNTIME
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

add_subdirectory(dict)
add_subdirectory(kdeds)
add_subdirectory(profiles)
add_subdirectory(applets)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(kwin)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KDEPLASMAADDONS
    FILE kdeplasma-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== applets/fifteenPuzzle/CMakeLists.txt ===
ecm_install_icons(
    ICONS sc-apps-fifteenpuzzle.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

plasma_install_package(package org.kde.plasma.fifteenpuzzle)

ecm_add_qml_module(fifteenpuzzleplugin URI org.kde.plasma.private.fifteenpuzzle)
target_sources(fifteenpuzzleplugin PRIVATE
    plugin/fifteenimageprovider.cpp
    plugin/fifteenpuzzleplugin.cpp
)
target_link_libraries(fifteenpuzzleplugin PRIVATE Qt::Quick Qt::Qml)
ecm_finalize_qml_module(fifteenpuzzleplugin)

=== wallpapers/potd/plugins/CMakeLists.txt ===
add_library(plasma_wallpaper_potdplugin_debug STATIC)
set_property(TARGET plasma_wallpaper_potdplugin_debug PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(plasma_wallpaper_potdplugin_debug
    Qt::Core
)
ecm_qt_declare_logging_category(plasma_wallpaper_potdplugin_debug
    HEADER debug.h
    IDENTIFIER WALLPAPERPOTD
    CATEGORY_NAME kde.wallpapers.potd
    DEFAULT_SEVERITY Info
    DESCRIPTION "Wallpaper plugins"
    EXPORT KDEPLASMAADDONS
)

ecm_add_qml_module(plasma_wallpaper_potdplugin URI org.kde.plasma.wallpapers.potd)
target_sources(plasma_wallpaper_potdplugin PRIVATE
    cachedprovider.cpp
    potdbackend.cpp
    potdengine.cpp
    potdprovidermodel.cpp
    potdplugin.cpp
)
target_link_libraries(plasma_wallpaper_potdplugin PRIVATE plasmapotdprovidercore
    KF6::I18n
    KF6::KIOCore
    Qt::DBus
    Qt::Network
    Qt::Qml
    Qt::Widgets # QFileDialog
    plasma_wallpaper_potdplugin_debug
)
ecm_finalize_qml_module(plasma_wallpaper_potdplugin)

########### plugin core library ############
set(POTDPROVIDER_VERSION 2.0.0)
set(POTDPROVIDER_VERSION_MAJOR 2)

add_library(plasmapotdprovidercore SHARED potdprovider.cpp)
add_library(Plasma::PotdProvider ALIAS plasmapotdprovidercore)
set_target_properties(plasmapotdprovidercore PROPERTIES
    VERSION ${POTDPROVIDER_VERSION}
    SOVERSION ${POTDPROVIDER_VERSION_MAJOR}
    EXPORT_NAME PotdProvider
)
target_link_libraries( plasmapotdprovidercore Qt::Gui KF6::CoreAddons KF6::ConfigCore KF6::KIOCore)
target_include_directories(plasmapotdprovidercore
    PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>"
)
ecm_generate_export_header(plasmapotdprovidercore
    BASE_NAME PLASMA_POTD
    EXPORT_FILE_NAME plasma_potd_export.h
    VERSION ${POTDPROVIDER_VERSION}
    DEPRECATED_BASE_VERSION 0
)

install(TARGETS plasmapotdprovidercore EXPORT plasmapotdproviderTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
        potdprovider.h
        ${CMAKE_CURRENT_BINARY_DIR}/plasma_potd_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/plasma/potdprovider
    COMPONENT Devel
)

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/PlasmaPotdProviderConfigVersion.cmake
    VERSION "${POTDPROVIDER_VERSION}"
    COMPATIBILITY SameMajorVersion
)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaPotdProvider)
configure_package_config_file(PlasmaPotdProvider.cmake.in
        "${CMAKE_CURRENT_BINARY_DIR}/PlasmaPotdProviderConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/PlasmaPotdProviderConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/PlasmaPotdProviderConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT Devel
)

install(EXPORT plasmapotdproviderTargets
    NAMESPACE Plasma::
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE PlasmaPotdProviderTargets.cmake
    COMPONENT Devel
)

add_subdirectory(providers)

=== debian/changelog ===
kdeplasma-addons (4:6.3.5-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Reenable and fix build-time tests.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Add patch to fix test failing on number representation.

  [ Pino Toscano ]
  * Update install files according to the newer kpackage, which does not
    generate appstream metainfo files for packages anymore. (Closes: #1117351)
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Oct 2025 21:00:25 +0200

kdeplasma-addons (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Applets/notes: don't set Layout preferred sizes. (kde#495306)
    - Fix bug report urls.
    - Applets/weather: Expose and use default units directly. (kde#503138)
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

kdeplasma-addons (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:54 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               hunspell-en-us <!nocheck>,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6declarative-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6holidays-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6jobwidgets-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6sonnet-dev (>= 6.10.0~),
               libkf6unitconversion-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libplasma-dev (>= 6.3.4~),
               libplasma5support-dev (>= 4:6.3.4~),
               pkgconf,
               qt6-5compat-dev (>= 6.7.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
               sonnet6-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 6.2.90~),
Suggests: quota,
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.4.4

=== debian/changelog ===
kdeplasma-addons (4:6.4.4-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:59:59 +0000

kdeplasma-addons (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:09:05 +0000

kdeplasma-addons (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:56:20 +0000

kdeplasma-addons (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

kdeplasma-addons (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:38:02 +0000

kdeplasma-addons (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:03:32 +1000

kdeplasma-addons (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:46:24 +0000

kdeplasma-addons (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:57:26 +0000

kdeplasma-addons (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:57:19 +0000

kdeplasma-addons (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:00:55 +0000

kdeplasma-addons (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:44:28 +0000

kdeplasma-addons (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:20:36 +0000

kdeplasma-addons (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:48:42 +0000

kdeplasma-addons (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:23:57 +0000

kdeplasma-addons (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:01:07 +0000

kdeplasma-addons (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:54:35 +0000

kdeplasma-addons (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:57:42 +0000

kdeplasma-addons (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:28:25 +0000

kdeplasma-addons (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:05:07 +0000

kdeplasma-addons (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:24:07 +0000

kdeplasma-addons (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:00:21 +0000

kdeplasma-addons (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:32:49 +0000

kdeplasma-addons (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:51:20 +0000

kdeplasma-addons (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:11:37 +0000

kdeplasma-addons (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:40:38 +0000

kdeplasma-addons (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:57:10 +0000

kdeplasma-addons (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:16:58 +0000

kdeplasma-addons (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:28 +1000

kdeplasma-addons (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:45:54 +0000

kdeplasma-addons (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:55:03 +0000

kdeplasma-addons (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:04:59 +0000

kdeplasma-addons (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:14:28 +0000

kdeplasma-addons (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:03:12 +0000

kdeplasma-addons (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:23:33 +0000

kdeplasma-addons (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:06:40 +0000

kdeplasma-addons (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Mar 2023 11:07:24 +0000

kdeplasma-addons (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:24:37 +0000

kdeplasma-addons (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:20:00 +0000

kdeplasma-addons (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:41:02 +0000

kdeplasma-addons (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:34:13 +0000

kdeplasma-addons (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:17:55 +0000

kdeplasma-addons (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:53:10 +0000

kdeplasma-addons (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:36:02 +0000

kdeplasma-addons (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:01:03 +0000



=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-krunner-dev,
               kf6-kservice-dev,
               kf6-kunitconversion-dev,
               kf6-networkmanager-qt-dev,
               kf6-purpose-dev,
               libboost-dev,
               libgee-dev | libgee-0.8-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5sysguard-dev,
               libplasma-dev,
               libx11-dev,
               libxcb-keysyms1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-quick3d-dev,
               qt6-webengine-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Git: https://invent.kde.org/neon/kde/kdeplasma-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeplasma-addons
Maintainer: Neon CI <neon@kde.org>

Package: kdeplasma-addons
Architecture: any
Depends: kwin-addons,
         plasma-calendar-addons,
         plasma-dataengines-addons,
         plasma-runners-addons,
         plasma-wallpapers-addons,
         plasma-widgets-addons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: metapackage for all plasma and kwin addon packages
 This package contains additional the plasma-calender-addons, 
 plasma-dataengine-addons, plasma-runners-addons, plasma-wallpapers-addons, 
 plasma-widgets-addons extras/addons shipped in the Plasma 5 addons module.
 .
 They can be installed individually if you do not want to install them all.

Package: kdeplasma-addons-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-common,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kpackage,
         kf6-purpose,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-workspace,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-calendar-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcmutils,
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional calendar plugins for Plasma 6
 Astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: libplasmapotdprovidercore-dev
Section: libdevel
Architecture: any
Depends: kf6-kcoreaddons-dev,
         plasma-dataengines-addons (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libplasmapotdprovidercore
 For development with libplasmapotdprovidercore

## kdeplasma-addons 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kdeplasma-addons)
-set(PROJECT_VERSION "6.3.5")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 ################# Disallow in-source build #################
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.3.5")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -81,15 +80,15 @@
     TYPE RUNTIME
 )
 
-find_package(KirigamiAddons CONFIG)
-set_package_properties(KirigamiAddons PROPERTIES
+find_package(KF6KirigamiAddons CONFIG)
+set_package_properties(KF6KirigamiAddons PROPERTIES
     DESCRIPTION "Extra controls for Kirigami applications"
     PURPOSE "Required at runtime for the User List widget"
     TYPE RUNTIME
 )
 
-find_package(KItemModels CONFIG)
-set_package_properties(KItemModels PROPERTIES
+find_package(KF6ItemModels CONFIG)
+set_package_properties(KF6ItemModels PROPERTIES
     DESCRIPTION "Set of item models extending the Qt model-view framework"
     PURPOSE "Required at runtime for the Dictionary, Kate Profiles, and Konsole Profiles applets"
     TYPE RUNTIME

=== dict/CMakeLists.txt ===
add_library(engine_dict_static STATIC dictengine.cpp)
set_property(TARGET engine_dict_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_compile_definitions(engine_dict_static PRIVATE -DTRANSLATION_DOMAIN="plasma_addons_engine_dict")

target_link_libraries (engine_dict_static
    KF6::I18n
    Qt::Network
)

=== templates/CMakeLists.txt ===
set(apptemplate_DIRS
    plasmapotdprovider
)

kde_package_app_templates(TEMPLATES ${apptemplate_DIRS} INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR})

=== applets/dict/CMakeLists.txt ===
find_package(Qt6WebEngineQuick ${QT_MIN_VERSION} CONFIG)

set_package_properties(Qt6WebEngineQuick PROPERTIES
    PURPOSE "Needed by the dict applet"
    URL "https://doc.qt.io/qt-6/qtwebengine-index.html"
    TYPE OPTIONAL
)

if (NOT Qt6WebEngineQuick_FOUND)
    return()
endif()

plasma_install_package(package org.kde.plasma_applet_dict)
# TODO: fix pluginid "org.kde.plasma_applet_dict" into properly namespaced id "org.kde.plasma.dict"

ecm_install_icons(
    ICONS sc-apps-accessories-dictionary.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

#######################################################################################
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma_applet_dict")

ecm_add_qml_module(dictplugin URI org.kde.plasma.private.dict)
target_sources(dictplugin PRIVATE
  plugin/dict_plugin.cpp
  plugin/dict_object.cpp
  plugin/dictionariesmodel.cpp
)
target_link_libraries(dictplugin PRIVATE
    KF6::I18n
    Qt::Quick
    Qt::WebEngineQuick
    engine_dict_static
)
ecm_finalize_qml_module(dictplugin)

=== applets/fifteenPuzzle/CMakeLists.txt ===
--- 
+++ 
@@ -10,5 +10,13 @@
     plugin/fifteenimageprovider.cpp
     plugin/fifteenpuzzleplugin.cpp
 )
+ecm_qt_declare_logging_category(fifteenpuzzleplugin
+    HEADER debug_p.h
+    IDENTIFIER "PLASMA_FIFTEENPUZZLE"
+    CATEGORY_NAME org.kde.plasma.fifteenpuzzle
+    DESCRIPTION "Plasma Fifteen Puzzle"
+    DEFAULT_SEVERITY Warning
+    EXPORT "PLASMA_FIFTEENPUZZLE"
+)
 target_link_libraries(fifteenpuzzleplugin PRIVATE Qt::Quick Qt::Qml)
 ecm_finalize_qml_module(fifteenpuzzleplugin)

=== applets/notes/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.notes")

plasma_install_package(package org.kde.plasma.notes)

ecm_add_qml_module(notesplugin
    URI org.kde.plasma.private.notes
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtQuick
)

target_sources(notesplugin PRIVATE
    abstractnoteloader.cpp
    documenthandler.cpp
    filesystemnoteloader.cpp
    note.cpp
    notemanager.cpp
    noteshelper.cpp
)
target_link_libraries(notesplugin PRIVATE
    Qt::Quick
    KF6::CoreAddons
    KF6::KIOCore
)
ecm_finalize_qml_module(notesplugin)

=== applets/quicklaunch/CMakeLists.txt ===
add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.quicklaunch)

=== applets/weather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.weather\")

install(FILES wind-arrows.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/weather/)
plasma_install_package(package org.kde.plasma.weather)

ecm_add_qml_module(weatherplugin URI org.kde.plasma.private.weather)

target_sources(weatherplugin PRIVATE
    plugin/plugin.cpp
    plugin/util.cpp
    plugin/abstractunitlistmodel.cpp
    plugin/locationlistmodel.cpp
)
target_link_libraries(weatherplugin PRIVATE
    Plasma::Plasma
    Plasma::Plasma5Support
    KF6::UnitConversion
    KF6::I18n
    Qt::Qml
)
ecm_finalize_qml_module(weatherplugin)

=== applets/webbrowser/CMakeLists.txt ===
find_package(Qt6WebEngineQuick ${QT_MIN_VERSION} CONFIG)

set_package_properties(Qt6WebEngineQuick PROPERTIES
    PURPOSE "Needed by the web browser applet"
    URL "https://doc.qt.io/qt-6/qtwebengine-index.html"
    TYPE OPTIONAL
)

if (Qt6WebEngineQuick_FOUND)

plasma_install_package(package org.kde.plasma.webbrowser)

endif()

=== runners/katesessions/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_katesessions\")

kcoreaddons_add_plugin(krunner_katesessions SOURCES katesessions.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(krunner_katesessions KF6::KIOGui KF6::JobWidgets KF6::I18n KF6::Runner profiles_utility_static)

=== runners/konsoleprofiles/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_konsoleprofiles")

kcoreaddons_add_plugin(krunner_konsoleprofiles SOURCES konsoleprofiles.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(krunner_konsoleprofiles
    KF6::Runner
    KF6::ConfigCore
    KF6::I18n
    profiles_utility_static
)

=== runners/colors/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Kai Uwe Broulik <kde@broulik.de>

include(ECMAddTests)

ecm_add_test(colorrunnertest.cpp TEST_NAME colorrunnertest LINK_LIBRARIES Qt::Gui Qt::Test KF6::Runner)
krunner_configure_test(colorrunnertest krunner_colors)

=== debian/changelog ===
kdeplasma-addons (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:07 +0100

kdeplasma-addons (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update install files.
  * Update runtime depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:47 +0100

kdeplasma-addons (4:6.3.5-0ubuntu2) questing; urgency=medium

  * Drop kwin-x11 dependency from kwin-addons.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Jun 2025 05:08:10 +0100

kdeplasma-addons (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:04 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6declarative-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6runner-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6sonnet-dev (>= 6.14.0~),
               libkf6unitconversion-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libplasma-dev (>= 6.4.5~),
               libplasma5support-dev (>= 4:6.4.5~),
               pkgconf,
               qt6-5compat-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Rules-Requires-Root: no

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.2.90~),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtnetwork,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 6.2.90~),
Suggests: quota,
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.4.5+p24.04+vstable+git20251004.0959

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kdeplasma-addons)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
+project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -66,9 +66,14 @@
     XmlGui
     NewStuff
     JobWidgets
+    Svg
 )
 
-find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
+find_package(Plasma5Support ${PROJECT_DEP_VERSION})
+set_package_properties(Plasma5Support PROPERTIES
+    PURPOSE "Required at runtime for a few applets"
+    TYPE RUNTIME
+)
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kdeplasma-addons (4:6.4.5+p24.04+vstable+git20251004.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 09:59:11 +0000

kdeplasma-addons (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:51:17 +0000

## kdeplasma-addons 6.4.5+p24.04+vstable+git20251004.1055

=== debian/changelog ===
kdeplasma-addons (4:6.4.5+p24.04+vstable+git20251004.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 10:55:10 +0000
